
/***************************************************************************
 *        Port of ROM 2.4b6 to Windows by TAKA                             *
 *                                                                         *
 *  I call this "NEW ROM" Ghost since it has changed extensively.          *
 *  This version runs as a native console application                      *
 *  windows NT 4 service patch 3, Windows 95 software version release 2    *
 *  and windows 98.                                                        *
 *                                                                         *
 *  Ghost to my knowledge is the first ROM port to windows to be 100%      *
 *  stable.                                                                *
 *                                                                         *
 *  I compiled it using MS Vissual C++ 5.0                                 *
 *  THE FOLLOWING MODULES WERE MODIFIED TO ALLOW STABLE WINDOWS OPERATION  *
 *  - merc.h                                                               *
 *  - comm.c                                                               *
 *  - db.c                                                                 *
 *  BE SURE TO INCLUDE IN THE LINK LIST                                    *
 *  - wsock32.lib                                                          *
 *                                                                         *
 *  Other source files are straight from the ROM24b6 distribution.         *
 *                                                                         *
 *  ALL I ASK FOR MY WORK:                                                 *
 *  1) Is that you do not remove or modify this comment block.             *
 *  2) You must state on the entry screen that this is GHOST a ROM code    *
 *     base designed and ported to windows by TAKA    .                    *
 *  3) The latest version number from you source listing must be must be   *
 *     in the help file as well as my name TAKA                            *
 *     and my email a_ghost_dancer@excite.com                              *
 *     < < Simplist way is to leave my help entry supplied > >             *
 *  4) You must abid by all other ROM and MERC licences                    *
 *  5) Finally any improvements or snippets you make please forward them   *
 *     to me so we can imcorperate them into the latest version. I will    *
 *     post all snippets with the authors named and credited.              *
 *                                                                         *
 *  Last thank you to all the ROM amd MERC folks for this wounderful code  *
 *  base know as ROM.                                                      *
 *                                                                         *
 *          TAKA                                                           *
 *          a_ghost_dancer@excite.com                                      *
 *                                                                         *
 * (C) 2000 TAKA and Ghost Dancer Mud Project                              *
 * *** All rights reserved                                                 *
 *                                                                         *
 ***************************************************************************

 ***************************************************************************
 *  Original Diku Mud copyright (C) 1990, 1991 by Sebastian Hammer,        *
 *  Michael Seifert, Hans Henrik St{rfeldt, Tom Madsen, and Katja Nyboe.   *
 *                                                                         *
 *  Merc Diku Mud improvments copyright (C) 1992, 1993 by Michael          *
 *  Chastain, Michael Quan, and Mitchell Tse.                              *
 *                                                                         *
 *  In order to use any part of this Merc Diku Mud, you must comply with   *
 *  both the original Diku license in 'license.doc' as well the Merc       *
 *  license in 'license.txt'.  In particular, you may not remove either of *
 *  these copyright notices.                                               *
 *                                                                         *
 *  Much time and thought has gone into this software and you are          *
 *  benefitting.  We hope that you share your changes too.  What goes      *
 *  around, comes around.                                                  *
 ***************************************************************************

 ***************************************************************************
 *	ROM 2.4 is copyright 1993-1996 Russ Taylor	                           *
 *	ROM has been brought to you by the ROM consortium		               *
 *	    Russ Taylor (rtaylor@efn.org)				                       *
 *	    Gabrielle Taylor						                           *
 *	    Brian Moore (zump@rom.org)					                       *
 *	By using this code, you have agreed to follow the terms of the	       *
 *	ROM license, in the file Rom24/doc/rom.license			               *
 ***************************************************************************/


/*                                 --TBD
 * Well known mob virtual numbers.
 * Defined in #MOBILES.
 */
#define MOB_VNUM_FIDO		   2
#define MOB_VNUM_CITYGUARD	   1
#define MOB_VNUM_VAMPIRE	   3

#define MOB_VNUM_PATROLMAN	   5
#define GROUP_VNUM_TROLLS	   6
#define GROUP_VNUM_OGRES	   4


#define MOB_VNUM_GGOLEM      22

/*
 * Well known object virtual numbers.
 * Defined in #OBJECTS.
 */
#define OBJ_VNUM_SILVER_ONE	      1
#define OBJ_VNUM_GOLD_ONE	      2
#define OBJ_VNUM_GOLD_SOME	      3
#define OBJ_VNUM_SILVER_SOME      4
#define OBJ_VNUM_COINS		      5

#define OBJ_VNUM_CORPSE_NPC	     10
#define OBJ_VNUM_CORPSE_PC	     11
#define OBJ_VNUM_SEVERED_HEAD	 12
#define OBJ_VNUM_TORN_HEART	     13
#define OBJ_VNUM_SLICED_ARM	     14
#define OBJ_VNUM_SLICED_LEG	     15
#define OBJ_VNUM_GUTS		     16
#define OBJ_VNUM_BRAINS		     17

#define OBJ_VNUM_MUSHROOM	     20
#define OBJ_VNUM_LIGHT_BALL	     21
#define OBJ_VNUM_SPRING		     22
#define OBJ_VNUM_DISC		     23
#define OBJ_VNUM_PORTAL		     25

#define OBJ_VNUM_ROSE		     26

/*#define OBJ_VNUM_PIT		     40*/

#define OBJ_VNUM_SCHOOL_MACE	 27
#define OBJ_VNUM_SCHOOL_DAGGER	 28
#define OBJ_VNUM_SCHOOL_SWORD	 29
#define OBJ_VNUM_SCHOOL_SPEAR	 33
#define OBJ_VNUM_SCHOOL_STAFF	 34
#define OBJ_VNUM_SCHOOL_AXE		 35
#define OBJ_VNUM_SCHOOL_FLAIL	 36
#define OBJ_VNUM_SCHOOL_WHIP	 37
#define OBJ_VNUM_SCHOOL_POLEARM  38

#define OBJ_VNUM_SCHOOL_VEST	 30
#define OBJ_VNUM_SCHOOL_SHIELD	 31
#define OBJ_VNUM_SCHOOL_BANNER   32
#define OBJ_VNUM_MAP			 39

#define OBJ_VNUM_WHISTLE	     41
#define OBJ_VNUM_STEAK			 42
#define OBJ_VNUM_PILL			 43
#define OBJ_VNUM_POTION			 44
#define OBJ_VNUM_SCHOOL_DART      45
#define OBJ_VNUM_ARROW            53
#define OBJ_VNUM_BOW              52
#define OBJ_VNUM_PIT           3002

/*
 * Well known room virtual numbers.
 * Defined in #ROOMS.
 */
#define ROOM_VNUM_LIMBO         2
#define ROOM_VNUM_CHAT          1200
#define ROOM_VNUM_TEMPLE       	3001
#define ROOM_VNUM_ALTAR         3001
#define ROOM_VNUM_SCHOOL        3005
#define ROOM_VNUM_BALANCE       4500
#define ROOM_VNUM_CIRCLE       	4400
#define ROOM_VNUM_DEMISE       	4201
#define ROOM_VNUM_HONOR         4300
#define ROOM_VNUM_RTD		   	1212 /* realm of the dead */

/*
 * Object defined in limbo.are
 * Used in save.c to load objects that don't exist.
 */
#define OBJ_VNUM_DUMMY    51

/*****************************************************************************************
 * reserved for TAKA flexable flag programming
 * do not put anything below here!
 *
 * TAKA The Wolf (c) 2000 **All rights reserved
 *****************************************************************************************/


/* TAKA sign in stuff */
int  LOGIN_STATUS;

/*
 * TAKA banking stuff
 *  - for now transfer is only in gold
 *  - flags 1=on, 0=off
 *  - atm max withdrawl is automatically applied to silver (max * 100)
 */

#define BANK_TRANSFER				1	/* allow transfer of gold player > player */
#define BANK_INVEST				0	/* allow shares or investment in stockmarket */
#define SHARE_VALUE
#define SHARE_MIN_VALUE				50 	/* minimum share value in gold */
#define SHARE_MAX_VALUE				1400 	/* maximum share value in gold */
#define BANK_DEPOSIT_SILVER			1	/* allow the deposit/withdrawl of silver */
#define BANK_CONVERT_SILVER			1	/* allow bank to convert silver */
#define BANK_ALLOW_ATM				1	/* allow atm support (24 hour banking) */
#define BANK_ALLOW_ATM_MAX			500	/* maximum daily gold allowed to withdraw */
#define BANK_NUMBER_ATM				1	/* reserved for future atm uses */
/* in beta code development now version 2.1 will have this */
#define BANK_PAY_INTEREST			1	/* bank pays interest */
#define BANK_INTEREST_AMOUNT			3500 	/* divide by 100000 for .03500 percent of 3.5 */

extern		int     share_value1;
extern		int     share_value2;
extern		int     share_value3;
extern		int     share_value4;

/* morge code flag TAKA */
#define USE_MORGE_CODE				0 	/* use morge code */
#define MORGE_TO_LEVEL				0     /* level to allow morge use till */
#define ROOM_VNUM_MORGE				3001	/* vnum of morge */

/* use home recalls */
#define USE_HOME_RECALL				1
#define MIN_HOME_LEVEL				10

/*
 * if you use default wizi when you type wizi and no argument
 * you will be wizi at immortal level on my mud 102.
 */
#define USE_DEFAULT_WIZI	1 /* 0 = no, 1 = yes */
